[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.InstanceSize

Return the size of an instance.

## Declaration

Source position: objpash.inc line 209

`public class function TObject.InstanceSize: SizeInt;`

## Description

InstanceSize returns the number of bytes an instance takes in memory. This is Just the memory occupied by the class structure, and does not take into account any additional memory that might be allocated by the constructor of the class.

## Errors

None.

## See also

InitInstance |  | Initialize a new class instance.
ClassName |  | Return the current class name.
ClassInfo |  | Return a pointer to the type information for this class.
ClassType |  | Return a "class of" pointer for the current class

Documentation generated on: Feb 26 2014